require File.dirname(__FILE__) + '/../test_helper'

class FlightsControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:flights)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_flight
    assert_difference('Flight.count') do
    post :create, :flight => valid_flight_attributes 
  end

    assert_redirected_to flight_path(assigns(:flight))
  end

  def test_should_show_flight
    get :show, :id => flights(:dus_muc).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => flights(:dus_muc).id
    assert_response :success
  end

  def test_should_update_flight
    put :update, :id => flights(:dus_muc).id, :flight => { }
    assert_redirected_to flight_path(assigns(:flight))
  end

  def test_should_destroy_flight
    assert_difference('Flight.count', -1) do
      delete :destroy, :id => flights(:dus_muc).id
    end

    assert_redirected_to flights_path
  end
  
  def test_should_show_airport_names_in_index 
    get :index 
    assert_select 'td', 'DUS' 
    assert_select 'td', 'MUC' 
  end 
  
  def test_should_format_dates_in_index 
    get :index 
    assert_select 'td', '10.06.2008 16:10' 
    assert_select 'td', '10.06.2008 16:10' 
    assert_select 'td', '11.06.2008 09:50' 
    assert_select 'td', '11.06.2008 10:50' 
  end 
  
  def test_should_have_select_fields_in_edit 
    get :edit, :id => flights(:dus_muc).id 
    assert_select 'select#flight_departure_airport_id' do 
      assert_select "option",'DUS' 
      assert_select 'option[value=?]', airports(:dus).id 
    end 
  end
  
  
end
