require File.dirname(__FILE__) + '/../test_helper'

class FlightTest < ActiveSupport::TestCase
  def setup 
    @flight = Flight.new(valid_flight_attributes) 
  end
   
  def test_should_create_a_flight 
    assert @flight.save 
  end
   
  def test_should_require_nr 
    flight = Flight.new(valid_flight_attributes(:nr => nil)) 
    assert !flight.save 
  end
   
  def test_departure_airport_should_be_an_airport 
    assert_instance_of Airport, @flight.departure_airport 
  end
   
  def test_arrival_airport_should_be_an_airport 
    assert_instance_of Airport, @flight.arrival_airport 
  end
   
  def test_should_get_the_name_of_the_departure_airport 
    assert_equal "DUS", @flight.departure_airport.code 
  end
   
  def test_should_get_the_name_of_the_departure_airport 
    assert_equal "MUC", @flight.arrival_airport.code 
  end 
  
end
