require File.dirname(__FILE__) + '/../test_helper'

class AirportTest < ActiveSupport::TestCase
  
  def test_should_create_a_airport 
    airport = Airport.new(valid_airport_attributes) 
    assert airport.save , "airport could not be saved" 
  end
   
  def test_should_have_4_fixtures 
    assert_equal 4, Airport.count 
  end
   
  def test_should_require_code 
    airport = Airport.new( 
    valid_airport_attributes(:code => nil)) 
    assert !airport.save 
  end 
  
  def test_should_require_name 
    airport = Airport.new( 
    valid_airport_attributes(:name => nil)) 
    assert !airport.save 
  end
   
  def test_should_require_3_characters_in_code 
    airport = Airport.new( 
    valid_airport_attributes(:code => "CA")) 
    assert !airport.save 
    airport2 = Airport.new( 
    valid_airport_attributes(:code => "CAIR")) 
    assert !airport2.save 
  end
   
  def test_code_should_be_uniq 
    airport = Airport.new(valid_airport_attributes) 
    assert airport.save 
    airport2 = Airport.new(valid_airport_attributes) 
    assert !airport2.save 
  end 
  
  def test_should_respond_to_country 
    airport = airports(:dus) 
    assert_respond_to airport, :country 
  end 
  
  def test_should_get_country_name 
    airport = airports(:dus) 
    assert_equal "Germany", airport.country.name 
  end 
  
  def test_should_require_country_id 
    airport = Airport.new(valid_airport_attributes(:country_id => nil)) 
    assert !airport.save 
  end 
    
end
