require File.dirname(__FILE__) + '/../test_helper'

class ContactMessagesControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:contact_messages)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_contact_message
    assert_difference('ContactMessage.count') do
      post :create, :contact_message => { }
    end

    assert_redirected_to contact_message_path(assigns(:contact_message))
  end

  def test_should_show_contact_message
    get :show, :id => contact_messages(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => contact_messages(:one).id
    assert_response :success
  end

  def test_should_update_contact_message
    put :update, :id => contact_messages(:one).id, :contact_message => { }
    assert_redirected_to contact_message_path(assigns(:contact_message))
  end

  def test_should_destroy_contact_message
    assert_difference('ContactMessage.count', -1) do
      delete :destroy, :id => contact_messages(:one).id
    end

    assert_redirected_to contact_messages_path
  end
end
