class ProductSweeper < ActionController::Caching::Sweeper

  observe Product
  
  def after_save(product) 
    expire_products(product) 
  end 
  
  def after_destroy(product) 
    expire_products(product) 
  end 

  private 

  def expire_products(product)
    expire_page(product_path(product))
    expire_page(products_path)
    expire_index
  end
  
  def expire_index
    # index.html lschen
    index = File.join(RAILS_ROOT,'public','index.html') 
    FileUtils.rm_f(index)
  end
end