require 'mongrel_cluster/recipes'
# =============================
# = Allgemeine Einstellungen =
# =============================
set :application, "railsair"
set :domain,      "78.47.111.82"
set :repository,  "svn+ssh://deploy@78.47.111.82/srv/svn/railsair/trunk"
set :deploy_to, "/srv/www/#{application}"
set :scm, :subversion
set :deploy_via, :export # default ist :checkout
set :user, "deploy"      # default ist der aktuelle User
set :use_sudo, false     # Verwende kein sudo

# ===========
# = Mongrel =
# ===========

# Anzahl Mongrel-Servers
set :mongrel_servers, 3

# Erste Port-Nummer, die verwendet wird.
# Bei drei Servern werden 8020, 8021 und 8022 verwendet.
set :mongrel_port, 8020

# Path to conf file. Defaults to /etc/mongrel_cluster/app_name.conf
set :mongrel_conf, "/etc/mongrel_cluster/#{application}.yml"

# Rails-Umgebung (Environment) in der die Rails-Applikation ausgeführt wird
set :mongrel_environment, 'production'

# mongrel_address: Address to bind to.
# mongrel_user: User to run mongrels in cluster as. Unset by default
# mongrel_group: Group to run mongrels in cluster as. Unset by default.

# =========
# = Roles =
# =========
role :app, "#{domain}"
role :web, "#{domain}"
role :db,  "#{domain}", :primary => true

# Einstellungen, um Probeme mit ssh
# auf einigenzu vermeidern
ssh_options[:paranoid] = false 
default_run_options[:pty] = true

# namespace :deploy do
#   namespace :web do
#     desc <<-DESC
#      Es wird die Wartungsseite maintenance.html im Verzeichniss public angezeigt.
#     DESC
#     task :disable, :roles => :web, :except => { :no_release => true } do
#       on_rollback { run "rm #{shared_path}/system/maintenance.html" }
#       run "cp  #{current_path}/public/maintenance.html #{shared_path}/system/maintenance.html"
#     end
#   end
# end